curl --request GET \
--url https://api.apitwitter.com/twitter/tweets/lookup \
--header 'X-API-Key: <api-key>'{
"data": [
{
"id": "2035003700855407052",
"text": "Happy vernal equinox! 🍀\n\nToday marks the first day of spring in the Northern Hemisphere and the first day of autumn in the Southern Hemisphere.",
"created_at": "Fri Mar 20 14:41:05 +0000 2026",
"author": {
"id": "11348282",
"userName": "NASA",
"name": "NASA",
"screen_name": "NASA",
"followers_count": 90024457,
"friends_count": 116,
"statuses_count": 73493,
"favourites_count": 16551,
"listed_count": 96550,
"description": "Official NASA account. Exploring the universe, advancing science, and inspiring the next generation of explorers.",
"location": "",
"profile_image_url_https": "",
"profile_image_url": "",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/11348282/1718393721",
"verified": false,
"is_blue_verified": true,
"created_at": "",
"can_dm": false
},
"likeCount": 15230,
"retweetCount": 2100,
"replyCount": 450,
"viewCount": 1250000,
"isRetweet": false,
"isReply": false,
"media": []
}
]
}GET multiple tweets by IDs in a single ApiTwitter pool call. Batch tweet lookup with full tweet data. No cookies needed.
curl --request GET \
--url https://api.apitwitter.com/twitter/tweets/lookup \
--header 'X-API-Key: <api-key>'{
"data": [
{
"id": "2035003700855407052",
"text": "Happy vernal equinox! 🍀\n\nToday marks the first day of spring in the Northern Hemisphere and the first day of autumn in the Southern Hemisphere.",
"created_at": "Fri Mar 20 14:41:05 +0000 2026",
"author": {
"id": "11348282",
"userName": "NASA",
"name": "NASA",
"screen_name": "NASA",
"followers_count": 90024457,
"friends_count": 116,
"statuses_count": 73493,
"favourites_count": 16551,
"listed_count": 96550,
"description": "Official NASA account. Exploring the universe, advancing science, and inspiring the next generation of explorers.",
"location": "",
"profile_image_url_https": "",
"profile_image_url": "",
"profile_banner_url": "https://pbs.twimg.com/profile_banners/11348282/1718393721",
"verified": false,
"is_blue_verified": true,
"created_at": "",
"can_dm": false
},
"likeCount": 15230,
"retweetCount": 2100,
"replyCount": 450,
"viewCount": 1250000,
"isRetweet": false,
"isReply": false,
"media": []
}
]
}tweet_ids query parameter. No cookie or proxy required.